PDA

View Full Version : Installation Error (Pentaho+PAT)



dmartin
08-05-2009, 05:20 AM
I have follow all the instruccion to installate PAT in a Pentaho (http://code.google.com/p/pentahoanalysistool/wiki/ServerIntegrationPluginForPAT) but when I try to launch the example, it doesn't work.

Software:
- biserver-ce-TRUNK-SNAPSHOT-hudson-BISERVER-CE-2466.zip
- PAT-0.5.0-SNAPSHOT.war
- last version plugin-pat


org.springframework.web.util.NestedServletException: Request processing failed; nested exception is java.lang.ClassCastException: $Proxy15
org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:583)
org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:501)
javax.servlet.http.HttpServlet.service(HttpServlet.java:690)
javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:378)
org.springframework.security.intercept.web.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:109)
org.springframework.security.intercept.web.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:83)
org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:390)
org.springframework.security.ui.SessionFixationProtectionFilter.doFilterHttp(SessionFixationProtectionFilter.java:67)
org.springframework.security.ui.SpringSecurityFilter.doFilter(SpringSecurityFilter.java:53)
org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:390)
org.springframework.security.ui.ExceptionTranslationFilter.doFilterHttp(ExceptionTranslationFilter.java:101)
org.springframework.security.ui.SpringSecurityFilter.doFilter(SpringSecurityFilter.java:53)
org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:390)
...


Any idea?

bugg_tb
08-05-2009, 05:28 AM
Hi

Thanks for trying it out, I tested it with the last release with was 0.4 and that worked fine, although i had to make a few adjustments to the code to get it going. 0.5 wont work because we've stripped out all the ui for the new usability sprint. My advice would be not to bother testing the plugin until we get somewhere down the line with 0.5 or the 0.6 release as we are planning to have proper integration support ready for then. Feel free to play around with the standalone releases though, the more feedback the better.

The roadmap we have planned is for 0.5.x to be released during the rest of this month and early september, this will include a load of new usability niceness and general working towards non tech end user ease of use.
Thanks again

Tom